Subject: bug#48804: 27.2; compilation emacs on macOS

From: Niels Søndergaard <[email-masked]>
Date: Thu, 3 Jun 2021 08:51:06 +0200

The configure sends a link, but I can’t find the source to compile out of that, neither can I understand, what the “smoke” test is.
I tried to follow the instruktions, but god lost underway….

mvh
Niels

> Den 3. jun. 2021 kl. 08.46 skrev Eli Zaretskii <[email-masked]>:
> 
>> From: Niels Søndergaard <[email-masked]>
>> Date: Thu, 3 Jun 2021 07:54:44 +0200
>> 
>> When trying to compile (28.0.50) with --with-native-compilation, the
>> ./configure comes out with libgccjit failed the smoke test, and the
>> explanation for getting libgccjit is not easy, actual it's very
>> complicated.
> 
> The message is:
> 
>  Installed libgccjit has failed passing the smoke test.
>  You can verify it yourself compiling:
>  <https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html>.
>  Please report the issue to your distribution if libgccjit was installed
>  through that.
>  Here instructions on how to compile and install libgccjit from source:
>  <https://gcc.gnu.org/wiki/JIT>
> 
> Could you please be more specific about what is unclear or complicated
> in this message, and how would you like us to make it more clear and
> easy to understand?